package com.friday.operation.api.tooldriver.constant;

public enum RpaRobotStateEnum {
    Available("Available","可用"),
    Busy("Busy", "忙碌"),
    Unresponsive("Unresponsive","无响应"),
    Disconnected("Disconnected","断连"),
    Exception("Exception", "异常"),
    Maintenance("Maintenance", "维护"),
    Unknown("Unknown","未知错误"),
    ;

    private String state;
    private String desc;

    RpaRobotStateEnum(String state, String desc){
        this.state = state;
        this.desc = desc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDecs() {
        return desc;
    }

    public void setDecs(String desc) {
        this.desc = desc;
    }
}
